=== modified file 'bin/ubiquity-dm'
--- bin/ubiquity-dm	2011-04-08 22:39:08 +0000
+++ bin/ubiquity-dm	2011-04-10 18:31:48 +0000
@@ -385,11 +385,12 @@
                     preexec_fn=self.drop_privileges)
                 extras.append(proc)
 
-            if os.path.exists('/usr/lib/ubiquity/panel') and "xfwm4" not in wm_cmd or "openbox-lubuntu" not in wm_cmd:
-                extras.append(subprocess.Popen(
-                    ['/usr/lib/ubiquity/panel'],
-                    stdin=null, stdout=logfile, stderr=logfile,
-                    preexec_fn=self.drop_privileges))
+            if os.path.exists('/usr/lib/ubiquity/panel') and "xfwm4" not in wm_cmd:
+                if  "openbox-lubuntu" not in wm_cmd:
+                    extras.append(subprocess.Popen(
+                        ['/usr/lib/ubiquity/panel'],
+                        stdin=null, stdout=logfile, stderr=logfile,
+                        preexec_fn=self.drop_privileges))
 
             if osextras.find_on_path('nm-applet'):
                 extras.append(subprocess.Popen(

=== modified file 'debian/changelog'
--- debian/changelog	2011-04-10 18:29:29 +0000
+++ debian/changelog	2011-04-10 18:31:48 +0000
@@ -5,7 +5,10 @@
     - Disable partition edit dialog on row activation, until such time as we
       know how to distinguish click from double-click (LP: #628906).
 
- -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Apr 2011 14:05:10 +0100
+  [ Julien Lavergne ]
+  * Disable ubiquity panel for openbox session. 
+
+ -- Julien Lavergne <gilir@ubuntu.com>  Sun, 10 Apr 2011 20:31:13 +0200
 
 ubiquity (2.6.0) natty; urgency=low
 

